Package org.apache.commons.lang3

# Class RandomUtils

java.lang.Object
org.apache.commons.lang3.RandomUtils

@Deprecated public class RandomUtils extends Object
Deprecated.
Use Apache Commons RNG's optimized UniformRandomProvider
Utility library that supplements the standard `Random` class.

Please note that the Apache Commons project provides a component dedicated to pseudo-random number generation, namely Commons RNG, that may be a better choice for applications with more stringent requirements (performance and/or correctness).

Since:
  3.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RandomUtils()`
  Deprecated.
  TODO Make private in 4.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `nextBoolean()`
  Deprecated.
  Generates a random boolean value.
  `static byte[]`
  `nextBytes(int count)`
  Deprecated.
  Generates an array of random bytes.
  `static double`
  `nextDouble()`
  Deprecated.
  Generates a random double between 0 (inclusive) and Double.MAX_VALUE (exclusive).
  `static double`
  `nextDouble(double startInclusive, double endExclusive)`
  Deprecated.
  Generates a random double within the specified range.
  `static float`
  `nextFloat()`
  Deprecated.
  Generates a random float between 0 (inclusive) and Float.MAX_VALUE (exclusive).
  `static float`
  `nextFloat(float startInclusive, float endExclusive)`
  Deprecated.
  Generates a random float within the specified range.
  `static int`
  `nextInt()`
  Deprecated.
  Generates a random int between 0 (inclusive) and Integer.MAX_VALUE (exclusive).
  `static int`
  `nextInt(int startInclusive, int endExclusive)`
  Deprecated.
  Generates a random integer within the specified range.
  `static long`
  `nextLong()`
  Deprecated.
  Generates a random long between 0 (inclusive) and Long.MAX_VALUE (exclusive).
  `static long`
  `nextLong(long startInclusive, long endExclusive)`
  Deprecated.
  Generates a random long within the specified range.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RandomUtils

    @Deprecated public RandomUtils()
    Deprecated.
    TODO Make private in 4.0.
    `RandomUtils` instances should NOT be constructed in standard programming. Instead, the class should be used as `RandomUtils.nextBytes(5);`.

    This constructor is public to permit tools that require a JavaBean instance to operate.

- ## Method Details

  - ### nextBoolean

    public static boolean nextBoolean()
    Deprecated.
    Generates a random boolean value.
    Returns:
      the random boolean
    Since:
      3.5

  - ### nextBytes

    public static byte[] nextBytes(int count)
    Deprecated.
    Generates an array of random bytes.
    Parameters:
      `count` - the size of the returned array
    Returns:
      the random byte array
    Throws:
      `IllegalArgumentException` - if `count` is negative

  - ### nextDouble

    public static double nextDouble()
    Deprecated.
    Generates a random double between 0 (inclusive) and Double.MAX_VALUE (exclusive).
    Returns:
      the random double
    Since:
      3.5
    See Also:
      - `nextDouble(double, double)`

  - ### nextDouble

    public static double nextDouble(double startInclusive, double endExclusive)
    Deprecated.
    Generates a random double within the specified range.
    Parameters:
      `startInclusive` - the smallest value that can be returned, must be non-negative
      `endExclusive` - the upper bound (not included)
    Returns:
      the random double
    Throws:
      `IllegalArgumentException` - if `startInclusive > endExclusive` or if `startInclusive` is negative

  - ### nextFloat

    public static float nextFloat()
    Deprecated.
    Generates a random float between 0 (inclusive) and Float.MAX_VALUE (exclusive).
    Returns:
      the random float
    Since:
      3.5
    See Also:
      - `nextFloat(float, float)`

  - ### nextFloat

    public static float nextFloat(float startInclusive, float endExclusive)
    Deprecated.
    Generates a random float within the specified range.
    Parameters:
      `startInclusive` - the smallest value that can be returned, must be non-negative
      `endExclusive` - the upper bound (not included)
    Returns:
      the random float
    Throws:
      `IllegalArgumentException` - if `startInclusive > endExclusive` or if `startInclusive` is negative

  - ### nextInt

    public static int nextInt()
    Deprecated.
    Generates a random int between 0 (inclusive) and Integer.MAX_VALUE (exclusive).
    Returns:
      the random integer
    Since:
      3.5
    See Also:
      - `nextInt(int, int)`

  - ### nextInt

    public static int nextInt(int startInclusive, int endExclusive)
    Deprecated.
    Generates a random integer within the specified range.
    Parameters:
      `startInclusive` - the smallest value that can be returned, must be non-negative
      `endExclusive` - the upper bound (not included)
    Returns:
      the random integer
    Throws:
      `IllegalArgumentException` - if `startInclusive > endExclusive` or if `startInclusive` is negative

  - ### nextLong

    public static long nextLong()
    Deprecated.
    Generates a random long between 0 (inclusive) and Long.MAX_VALUE (exclusive).
    Returns:
      the random long
    Since:
      3.5
    See Also:
      - `nextLong(long, long)`

  - ### nextLong

    public static long nextLong(long startInclusive, long endExclusive)
    Deprecated.
    Generates a random long within the specified range.
    Parameters:
      `startInclusive` - the smallest value that can be returned, must be non-negative
      `endExclusive` - the upper bound (not included)
    Returns:
      the random long
    Throws:
      `IllegalArgumentException` - if `startInclusive > endExclusive` or if `startInclusive` is negative